<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.18"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>MeLOn: C:/Users/Linus/Documents/HiWi/SVT/MeLOn/myMeLOn/gaussian process/training/matlab/Write GP to files/Write_GP_to_json.m File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="MeLOn_only.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">MeLOn
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.18 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('_write___g_p__to__json_8m.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">Write_GP_to_json.m File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a09b541ffd6804a882284d62658eb08a8"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_write___g_p__to__json_8m.html#a09b541ffd6804a882284d62658eb08a8">json_X</a> (end)</td></tr>
<tr class="separator:a09b541ffd6804a882284d62658eb08a8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9ca6ac35e1e86a1412d991cd050e9003"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_write___g_p__to__json_8m.html#a9ca6ac35e1e86a1412d991cd050e9003">fwrite</a> (<a class="el" href="_write___g_p__to__json_8m.html#aae08cb4d664fe88bdf50908468596958">fid</a>, <a class="el" href="gp_parser_8cpp.html#ab701e3ac61a85b337ec5c1abaad6742d">json</a>)</td></tr>
<tr class="separator:a9ca6ac35e1e86a1412d991cd050e9003"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5e769bbbabcaddc548203741c7100228"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_write___g_p__to__json_8m.html#a5e769bbbabcaddc548203741c7100228">fclose</a> (<a class="el" href="_write___g_p__to__json_8m.html#aae08cb4d664fe88bdf50908468596958">fid</a>)</td></tr>
<tr class="separator:a5e769bbbabcaddc548203741c7100228"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:ae1f829c81028ea08dc436a49479a8c98"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_write___g_p__to__json_8m.html#ae1f829c81028ea08dc436a49479a8c98">sample_lb</a> = min(<a class="el" href="example__training__of___a_n_n_8m.html#a4817a9277ef40b3369c95a4e1e1acfaf">X</a>)</td></tr>
<tr class="separator:ae1f829c81028ea08dc436a49479a8c98"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a33c9368826e35e16a4dd75529a698fa0"><td class="memItemLeft" align="right" valign="top">Compute lower bound of input <a class="el" href="example__training__of___g_p_8m.html#ab50c331b679f2b0e5d4fef84e71f3934">data</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_write___g_p__to__json_8m.html#a33c9368826e35e16a4dd75529a698fa0">sample_ub</a> = max(<a class="el" href="example__training__of___a_n_n_8m.html#a4817a9277ef40b3369c95a4e1e1acfaf">X</a>)</td></tr>
<tr class="separator:a33c9368826e35e16a4dd75529a698fa0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a78a0f44d51ed130992ee0d5daa488944"><td class="memItemLeft" align="right" valign="top">Compute upper bound of input&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_write___g_p__to__json_8m.html#a78a0f44d51ed130992ee0d5daa488944">data</a> [<a class="el" href="example__training__of___g_p_8m.html#aa493a5f1ccc6ea9b0d0f525ba2281266">nX</a>, <a class="el" href="_write___g_p__to__json_8m.html#ad7b8bab9453663538025b6fec5ab0809">DX</a>] = <a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#a8d780116abd74ce4edb29522382d30be">size</a>(<a class="el" href="example__training__of___a_n_n_8m.html#a4817a9277ef40b3369c95a4e1e1acfaf">X</a>)</td></tr>
<tr class="separator:a78a0f44d51ed130992ee0d5daa488944"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a38ed4bacd40782eb3b6fc0b4c98e68b9"><td class="memItemLeft" align="right" valign="top">scale <a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#a8c88401ee15059c130fb0779e159c8d6">hyperparameters</a> from log&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_write___g_p__to__json_8m.html#a38ed4bacd40782eb3b6fc0b4c98e68b9">ell</a> = exp(<a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#ac95ea3ebfdf0f0ea76a2306142c4a91c">Opt.GP.hyp.cov</a>(1:<a class="el" href="_write___g_p__to__json_8m.html#ad7b8bab9453663538025b6fec5ab0809">DX</a>))</td></tr>
<tr class="separator:a38ed4bacd40782eb3b6fc0b4c98e68b9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a204e12cc2a17b48a5b1f1900d4ae5dc3"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_write___g_p__to__json_8m.html#a204e12cc2a17b48a5b1f1900d4ae5dc3">sf2</a> = exp(2*<a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#ac95ea3ebfdf0f0ea76a2306142c4a91c">Opt.GP.hyp.cov</a>(<a class="el" href="_write___g_p__to__json_8m.html#ad7b8bab9453663538025b6fec5ab0809">DX</a>+1))</td></tr>
<tr class="separator:a204e12cc2a17b48a5b1f1900d4ae5dc3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae00a9f9045b4bbee04bef62debbdc33c"><td class="memItemLeft" align="right" valign="top"><a class="el" href="example__training__of___g_p_8m.html#ab50c331b679f2b0e5d4fef84e71f3934">data</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_write___g_p__to__json_8m.html#ae00a9f9045b4bbee04bef62debbdc33c">nY</a> = nY</td></tr>
<tr class="separator:ae00a9f9045b4bbee04bef62debbdc33c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad7b8bab9453663538025b6fec5ab0809"><td class="memItemLeft" align="right" valign="top"><a class="el" href="example__training__of___g_p_8m.html#ab50c331b679f2b0e5d4fef84e71f3934">data</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_write___g_p__to__json_8m.html#ad7b8bab9453663538025b6fec5ab0809">DX</a> = DX</td></tr>
<tr class="separator:ad7b8bab9453663538025b6fec5ab0809"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a14c288ecc82a5cbdb2ad66ee5be30c63"><td class="memItemLeft" align="right" valign="top"><a class="el" href="example__training__of___g_p_8m.html#ab50c331b679f2b0e5d4fef84e71f3934">data</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_write___g_p__to__json_8m.html#a14c288ecc82a5cbdb2ad66ee5be30c63">DY</a> = DY</td></tr>
<tr class="separator:a14c288ecc82a5cbdb2ad66ee5be30c63"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a73d52a27dc2e98d5407e74ae08206549"><td class="memItemLeft" align="right" valign="top"><a class="el" href="example__training__of___g_p_8m.html#ab50c331b679f2b0e5d4fef84e71f3934">data</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_write___g_p__to__json_8m.html#a73d52a27dc2e98d5407e74ae08206549">matern</a> = Opt.GP.matern</td></tr>
<tr class="separator:a73d52a27dc2e98d5407e74ae08206549"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aded25ef7743d72895af9184d29207494"><td class="memItemLeft" align="right" valign="top"><a class="el" href="example__training__of___g_p_8m.html#ab50c331b679f2b0e5d4fef84e71f3934">data</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_write___g_p__to__json_8m.html#aded25ef7743d72895af9184d29207494">meanfunction</a> = 0</td></tr>
<tr class="separator:aded25ef7743d72895af9184d29207494"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a79fc153b6c770b8df04a5836f519eac5"><td class="memItemLeft" align="right" valign="top"><a class="el" href="example__training__of___g_p_8m.html#ab50c331b679f2b0e5d4fef84e71f3934">data</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_write___g_p__to__json_8m.html#a79fc153b6c770b8df04a5836f519eac5">meanOfOutput</a> = meanOfOutput</td></tr>
<tr class="separator:a79fc153b6c770b8df04a5836f519eac5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a14d4a4ed1e61cbd4816d3db98acbec1b"><td class="memItemLeft" align="right" valign="top"><a class="el" href="example__training__of___g_p_8m.html#ab50c331b679f2b0e5d4fef84e71f3934">data</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_write___g_p__to__json_8m.html#a14d4a4ed1e61cbd4816d3db98acbec1b">stdOfOutput</a> = stdOfOutput</td></tr>
<tr class="separator:a14d4a4ed1e61cbd4816d3db98acbec1b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1a5379626f6519b1626116d28333b64c"><td class="memItemLeft" align="right" valign="top"><a class="el" href="example__training__of___g_p_8m.html#ab50c331b679f2b0e5d4fef84e71f3934">data</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_write___g_p__to__json_8m.html#a1a5379626f6519b1626116d28333b64c">inputLowerBound</a> = {<a class="el" href="_write___g_p__to__xml_8m.html#ae1f829c81028ea08dc436a49479a8c98">sample_lb</a>}</td></tr>
<tr class="separator:a1a5379626f6519b1626116d28333b64c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9a137ae1074c8416fb836ea95a4136f6"><td class="memItemLeft" align="right" valign="top"><a class="el" href="example__training__of___g_p_8m.html#ab50c331b679f2b0e5d4fef84e71f3934">data</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_write___g_p__to__json_8m.html#a9a137ae1074c8416fb836ea95a4136f6">inputUpperBound</a> = {<a class="el" href="_write___g_p__to__xml_8m.html#ab75c83b6e5ae3c17a95155723242c65d">sample_ub</a>}</td></tr>
<tr class="separator:a9a137ae1074c8416fb836ea95a4136f6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae8dee22daaeccf3ab42943932a3495f4"><td class="memItemLeft" align="right" valign="top"><a class="el" href="example__training__of___g_p_8m.html#ab50c331b679f2b0e5d4fef84e71f3934">data</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_write___g_p__to__json_8m.html#ae8dee22daaeccf3ab42943932a3495f4">problemLowerBound</a> = {<a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#aa53c1f31c30e63f0a62e323019ee39f2">lb</a>}</td></tr>
<tr class="separator:ae8dee22daaeccf3ab42943932a3495f4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7fed6b5a8c60d4d9d309c7a7f7040c06"><td class="memItemLeft" align="right" valign="top"><a class="el" href="example__training__of___g_p_8m.html#ab50c331b679f2b0e5d4fef84e71f3934">data</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_write___g_p__to__json_8m.html#a7fed6b5a8c60d4d9d309c7a7f7040c06">problemUpperBound</a> = {<a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#af06d33e475dd0c6fb326f753dcf34273">ub</a>}</td></tr>
<tr class="separator:a7fed6b5a8c60d4d9d309c7a7f7040c06"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4817a9277ef40b3369c95a4e1e1acfaf"><td class="memItemLeft" align="right" valign="top">fix for column vector <a class="el" href="example__training__of___g_p_8m.html#ab50c331b679f2b0e5d4fef84e71f3934">data</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_write___g_p__to__json_8m.html#a4817a9277ef40b3369c95a4e1e1acfaf">X</a> = {'X_dummy'}</td></tr>
<tr class="separator:a4817a9277ef40b3369c95a4e1e1acfaf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae15ceba051a1d52d5be17d0338260a2a"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_write___g_p__to__json_8m.html#ae15ceba051a1d52d5be17d0338260a2a">json_X</a> = sprintf('[%<a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#a2b43b6f8ef75d694651d7200746d8026">f</a>],',xScaled)</td></tr>
<tr class="separator:ae15ceba051a1d52d5be17d0338260a2a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2f7178b5691c597aba4e7ff9eaf0524d"><td class="memItemLeft" align="right" valign="top">end <a class="el" href="example__training__of___g_p_8m.html#ab50c331b679f2b0e5d4fef84e71f3934">data</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_write___g_p__to__json_8m.html#a2f7178b5691c597aba4e7ff9eaf0524d">Y</a> = yScaled</td></tr>
<tr class="separator:a2f7178b5691c597aba4e7ff9eaf0524d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a566ca207ec1bc8260a1fbbd6c27bb7ac"><td class="memItemLeft" align="right" valign="top"><a class="el" href="example__training__of___g_p_8m.html#ab50c331b679f2b0e5d4fef84e71f3934">data</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_write___g_p__to__json_8m.html#a566ca207ec1bc8260a1fbbd6c27bb7ac">K</a> = Opt.GP.K</td></tr>
<tr class="separator:a566ca207ec1bc8260a1fbbd6c27bb7ac"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3404ee53cfb26335a4d034b20dbef2e3"><td class="memItemLeft" align="right" valign="top"><a class="el" href="example__training__of___g_p_8m.html#ab50c331b679f2b0e5d4fef84e71f3934">data</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_write___g_p__to__json_8m.html#a3404ee53cfb26335a4d034b20dbef2e3">invK</a> = Opt.GP.invK</td></tr>
<tr class="separator:a3404ee53cfb26335a4d034b20dbef2e3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aec4b8ebff18d52c120a82ef46cbd1b95"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_write___g_p__to__json_8m.html#aec4b8ebff18d52c120a82ef46cbd1b95">json</a> = jsonencode(<a class="el" href="example__training__of___g_p_8m.html#ab50c331b679f2b0e5d4fef84e71f3934">data</a>)</td></tr>
<tr class="separator:aec4b8ebff18d52c120a82ef46cbd1b95"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aae08cb4d664fe88bdf50908468596958"><td class="memItemLeft" align="right" valign="top">end&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_write___g_p__to__json_8m.html#aae08cb4d664fe88bdf50908468596958">fid</a> = fopen(filename, 'w')</td></tr>
<tr class="separator:aae08cb4d664fe88bdf50908468596958"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa28dc103258589d9cb421197fe2de90b"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_write___g_p__to__json_8m.html#aa28dc103258589d9cb421197fe2de90b">path</a> = fullfile(pwd, filename)</td></tr>
<tr class="separator:aa28dc103258589d9cb421197fe2de90b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="a5e769bbbabcaddc548203741c7100228"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5e769bbbabcaddc548203741c7100228">&#9670;&nbsp;</a></span>fclose()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fclose </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="_write___g_p__to__json_8m.html#aae08cb4d664fe88bdf50908468596958">fid</a>&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a9ca6ac35e1e86a1412d991cd050e9003"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9ca6ac35e1e86a1412d991cd050e9003">&#9670;&nbsp;</a></span>fwrite()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwrite </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="_write___g_p__to__json_8m.html#aae08cb4d664fe88bdf50908468596958">fid</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="gp_parser_8cpp.html#ab701e3ac61a85b337ec5c1abaad6742d">json</a>&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a09b541ffd6804a882284d62658eb08a8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a09b541ffd6804a882284d62658eb08a8">&#9670;&nbsp;</a></span>json_X()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">json_X </td>
          <td>(</td>
          <td class="paramtype">end&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="a78a0f44d51ed130992ee0d5daa488944"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a78a0f44d51ed130992ee0d5daa488944">&#9670;&nbsp;</a></span>data</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">scale data = <a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#a8d780116abd74ce4edb29522382d30be">size</a>(<a class="el" href="example__training__of___a_n_n_8m.html#a4817a9277ef40b3369c95a4e1e1acfaf">X</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ad7b8bab9453663538025b6fec5ab0809"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad7b8bab9453663538025b6fec5ab0809">&#9670;&nbsp;</a></span>DX</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="s_network2_c_s_v_8m.html#aea817658eb193861e7d5ae6248043180">if</a> DX = DX</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a14c288ecc82a5cbdb2ad66ee5be30c63"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a14c288ecc82a5cbdb2ad66ee5be30c63">&#9670;&nbsp;</a></span>DY</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="example__training__of___g_p_8m.html#ab50c331b679f2b0e5d4fef84e71f3934">data</a> DY = DY</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a38ed4bacd40782eb3b6fc0b4c98e68b9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a38ed4bacd40782eb3b6fc0b4c98e68b9">&#9670;&nbsp;</a></span>ell</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">else <a class="el" href="example__training__of___g_p_8m.html#ab50c331b679f2b0e5d4fef84e71f3934">data</a> ell = exp(<a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#ac95ea3ebfdf0f0ea76a2306142c4a91c">Opt.GP.hyp.cov</a>(1:<a class="el" href="_write___g_p__to__json_8m.html#ad7b8bab9453663538025b6fec5ab0809">DX</a>))</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aae08cb4d664fe88bdf50908468596958"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aae08cb4d664fe88bdf50908468596958">&#9670;&nbsp;</a></span>fid</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">end fid = fopen(filename, 'w')</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a1a5379626f6519b1626116d28333b64c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1a5379626f6519b1626116d28333b64c">&#9670;&nbsp;</a></span>inputLowerBound</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="example__training__of___g_p_8m.html#ab50c331b679f2b0e5d4fef84e71f3934">data</a> inputLowerBound = {<a class="el" href="_write___g_p__to__xml_8m.html#ae1f829c81028ea08dc436a49479a8c98">sample_lb</a>}</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a9a137ae1074c8416fb836ea95a4136f6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9a137ae1074c8416fb836ea95a4136f6">&#9670;&nbsp;</a></span>inputUpperBound</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="example__training__of___g_p_8m.html#ab50c331b679f2b0e5d4fef84e71f3934">data</a> inputUpperBound = {<a class="el" href="_write___g_p__to__xml_8m.html#ab75c83b6e5ae3c17a95155723242c65d">sample_ub</a>}</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a3404ee53cfb26335a4d034b20dbef2e3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3404ee53cfb26335a4d034b20dbef2e3">&#9670;&nbsp;</a></span>invK</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="example__training__of___g_p_8m.html#ab50c331b679f2b0e5d4fef84e71f3934">data</a> invK = Opt.GP.invK</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aec4b8ebff18d52c120a82ef46cbd1b95"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aec4b8ebff18d52c120a82ef46cbd1b95">&#9670;&nbsp;</a></span>json</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="gp_parser_8cpp.html#ab701e3ac61a85b337ec5c1abaad6742d">json</a> = jsonencode(<a class="el" href="example__training__of___g_p_8m.html#ab50c331b679f2b0e5d4fef84e71f3934">data</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ae15ceba051a1d52d5be17d0338260a2a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae15ceba051a1d52d5be17d0338260a2a">&#9670;&nbsp;</a></span>json_X</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">json_X = sprintf('[%<a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#a2b43b6f8ef75d694651d7200746d8026">f</a>],',xScaled)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a566ca207ec1bc8260a1fbbd6c27bb7ac"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a566ca207ec1bc8260a1fbbd6c27bb7ac">&#9670;&nbsp;</a></span>K</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="example__training__of___g_p_8m.html#ab50c331b679f2b0e5d4fef84e71f3934">data</a> K = Opt.GP.K</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a73d52a27dc2e98d5407e74ae08206549"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a73d52a27dc2e98d5407e74ae08206549">&#9670;&nbsp;</a></span>matern</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="example__training__of___g_p_8m.html#ab50c331b679f2b0e5d4fef84e71f3934">data</a> matern = Opt.GP.matern</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aded25ef7743d72895af9184d29207494"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aded25ef7743d72895af9184d29207494">&#9670;&nbsp;</a></span>meanfunction</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="example__training__of___g_p_8m.html#ab50c331b679f2b0e5d4fef84e71f3934">data</a> meanfunction = 0</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a79fc153b6c770b8df04a5836f519eac5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a79fc153b6c770b8df04a5836f519eac5">&#9670;&nbsp;</a></span>meanOfOutput</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="example__training__of___g_p_8m.html#ab50c331b679f2b0e5d4fef84e71f3934">data</a> meanOfOutput = meanOfOutput</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ae00a9f9045b4bbee04bef62debbdc33c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae00a9f9045b4bbee04bef62debbdc33c">&#9670;&nbsp;</a></span>nY</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="example__training__of___g_p_8m.html#ab50c331b679f2b0e5d4fef84e71f3934">data</a> nY = nY</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aa28dc103258589d9cb421197fe2de90b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa28dc103258589d9cb421197fe2de90b">&#9670;&nbsp;</a></span>path</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">path = fullfile(pwd, filename)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ae8dee22daaeccf3ab42943932a3495f4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae8dee22daaeccf3ab42943932a3495f4">&#9670;&nbsp;</a></span>problemLowerBound</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="example__training__of___g_p_8m.html#ab50c331b679f2b0e5d4fef84e71f3934">data</a> problemLowerBound = {<a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#aa53c1f31c30e63f0a62e323019ee39f2">lb</a>}</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a7fed6b5a8c60d4d9d309c7a7f7040c06"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7fed6b5a8c60d4d9d309c7a7f7040c06">&#9670;&nbsp;</a></span>problemUpperBound</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="example__training__of___g_p_8m.html#ab50c331b679f2b0e5d4fef84e71f3934">data</a> problemUpperBound = {<a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#af06d33e475dd0c6fb326f753dcf34273">ub</a>}</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ae1f829c81028ea08dc436a49479a8c98"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae1f829c81028ea08dc436a49479a8c98">&#9670;&nbsp;</a></span>sample_lb</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">sample_lb = min(<a class="el" href="example__training__of___a_n_n_8m.html#a4817a9277ef40b3369c95a4e1e1acfaf">X</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a33c9368826e35e16a4dd75529a698fa0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a33c9368826e35e16a4dd75529a698fa0">&#9670;&nbsp;</a></span>sample_ub</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Compute lower bound of input <a class="el" href="example__training__of___g_p_8m.html#ab50c331b679f2b0e5d4fef84e71f3934">data</a> sample_ub = max(<a class="el" href="example__training__of___a_n_n_8m.html#a4817a9277ef40b3369c95a4e1e1acfaf">X</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a204e12cc2a17b48a5b1f1900d4ae5dc3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a204e12cc2a17b48a5b1f1900d4ae5dc3">&#9670;&nbsp;</a></span>sf2</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="example__training__of___g_p_8m.html#ab50c331b679f2b0e5d4fef84e71f3934">data</a> sf2 = exp(2*<a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#ac95ea3ebfdf0f0ea76a2306142c4a91c">Opt.GP.hyp.cov</a>(<a class="el" href="_write___g_p__to__json_8m.html#ad7b8bab9453663538025b6fec5ab0809">DX</a>+1))</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a14d4a4ed1e61cbd4816d3db98acbec1b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a14d4a4ed1e61cbd4816d3db98acbec1b">&#9670;&nbsp;</a></span>stdOfOutput</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="example__training__of___g_p_8m.html#ab50c331b679f2b0e5d4fef84e71f3934">data</a> stdOfOutput = stdOfOutput</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a4817a9277ef40b3369c95a4e1e1acfaf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4817a9277ef40b3369c95a4e1e1acfaf">&#9670;&nbsp;</a></span>X</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="example__training__of___g_p_8m.html#ab50c331b679f2b0e5d4fef84e71f3934">data</a> <a class="el" href="example__training__of___a_n_n_8m.html#a4817a9277ef40b3369c95a4e1e1acfaf">X</a> = {'X_dummy'}</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a2f7178b5691c597aba4e7ff9eaf0524d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2f7178b5691c597aba4e7ff9eaf0524d">&#9670;&nbsp;</a></span>Y</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">end <a class="el" href="example__training__of___g_p_8m.html#ab50c331b679f2b0e5d4fef84e71f3934">data</a> Y = yScaled</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_f620e5568ec0800ef52addb3e6877e12.html">gaussian process</a></li><li class="navelem"><a class="el" href="dir_1fc81c00cac59075ae13874c4e72a6a9.html">training</a></li><li class="navelem"><a class="el" href="dir_eb5cf4e9e40c78cd4a9a033353776a44.html">matlab</a></li><li class="navelem"><a class="el" href="dir_146763de38e0b74f14bb5319d5bb527f.html">Write GP to files</a></li><li class="navelem"><a class="el" href="_write___g_p__to__json_8m.html">Write_GP_to_json.m</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.18 </li>
  </ul>
</div>
</body>
</html>
